/*****************************************************************************
 *               Copyright (C) 2011, Huawei Tech. Co., Ltd.
 *                           ALL RIGHTS RESERVED
******************************************************************************/
/**\file pppcapi.h
  *pppccmsAPIͷļ
  *\copyright 2007-2020Ϊ޹˾
  *\author d00191326
  *\date  2011-12-28
*/

#ifndef __PPPC_API_H__
#define __PPPC_API_H__

#include "atpconfig.h"

#ifdef ATP_DEBUG
#define ATP_PPPC_LOG(code, format, args...)   printf("PPPC: file[%s] line[%d] code[0x%x] " format "\r\n", __FILE__, __LINE__, code, ## args)
#else
#define ATP_PPPC_LOG(code, format, args...)
#endif

#ifdef SUPPORT_ATP_PRIVACY_BUTTON
//ļtrigger
#define DT_PPPC_CONFIG_BAK_PATH  "/var/pppc_config_bak"
#define DT_PPPC_DIAL_BAK_PATH  "/var/pppc_dial_bak"
#endif


#if defined(__cplusplus)
extern "C" {
#endif


/*!
  \brief ÿͻ˲
  \param[in]  pstConfig: òָ
  \return ɹATP_PPPC_OKʧATP_ERR_PPPC_EN
*/
unsigned int ATP_PPPC_Config(ATP_PPPC_CONFIG_ST* pstConfig);

/*!
  \brief PPPCͻ˽
  \param[in]  pszInterface: pppӿ
  \return ɹATP_PPPC_OKʧATP_ERR_PPPC_EN
*/
unsigned int ATP_PPPC_Start(char* pszInterface);

#ifdef SUPPORT_ATP_PRIVACY_BUTTON
/*!
  \brief W724v Privacyģʽʱ,Ȼָconfig, dialļPPPCͻ˽
  \param[in]  pszInterface: pppӿ
  \return ɹATP_PPPC_OKʧATP_ERR_PPPC_EN
*/
VOS_VOID ATP_PRIVACY_PPPC_ReStart(VOS_VOID *pvArg);
/*!
  \brief رPPPCͻ˽,configļdialļ
  \param[in]  pszInterface: pppӿ
  \return ɹATP_PPPC_OKʧATP_ERR_PPPC_EN
*/
VOS_VOID ATP_PRIVACY_PPPC_Stop(char* pszInterface);
#endif

/*!
  \brief رPPPCͻ˽
  \param[in]  pszInterface: pppӿ
  \return ɹATP_PPPC_OKʧATP_ERR_PPPC_EN
*/
unsigned int ATP_PPPC_Stop(char* pszInterface);

/*!
  \brief PPPCĴʽ
  \param[in]  pszInterface: PPPӿ
  \param[in]  ulTrigger: ʽ
  \return ɹATP_PPPC_OKʧATP_ERR_PPPC_EN
*/
unsigned int ATP_PPPC_SetTrigger(char* pszInterface, unsigned int ulTrigger);

#ifdef SUPPORT_ATP_PPP_DYN_DIAL
/*!
  \brief  DSLʱ¼DSLPPP WAN־
  \param[in] VOS_VOID: 
  \return 
  \retval ATP_E_ERR_CFM_SHM_NOT_ATTACH ʼڴʧ
*/
VOS_VOID ATP_DT_Log_DslDown(VOS_VOID);
#endif

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif /* __PPPC_API_H__ */
